67f9288
diff -ur globus_common-10.2.orig/scripts/globus-makefile-header globus_common-10.2/scripts/globus-makefile-header
67f9288
--- globus_common-10.2.orig/scripts/globus-makefile-header	2008-02-20 17:03:35.000000000 +0100
67f9288
+++ globus_common-10.2/scripts/globus-makefile-header	2009-11-08 13:35:49.109079788 +0100
67f9288
@@ -68,7 +68,11 @@
67f9288
 }
67f9288
 else
67f9288
 {
67f9288
-    $environment = "gpt1";
67f9288
+    print "globus-makefile-header requires the GPT perl module.\n";
67f9288
+    print "If you want to use it you have to install the grid-packaging-tools package.\n";
67f9288
+    print "Consider using alternatives like pkg-config instead.\n";
67f9288
+
67f9288
+    exit 1;
67f9288
 }
67f9288
 
67f9288
 #
67f9288
@@ -111,28 +115,6 @@
67f9288
 }
67f9288
 @pkgs = buildMultiArg(@pkgs);
67f9288
 
67f9288
-if ($environment eq "gpt1")
67f9288
-{
67f9288
-    my($argstring, $pkgstr);
67f9288
-
67f9288
-    $argstring = "-flavor=$flavor ";
67f9288
-
67f9288
-    if ($static)
67f9288
-    {
67f9288
-        $argstring .= "-link=static ";
67f9288
-    }
67f9288
-
67f9288
-    $pkgstr = join(' ', @pkgs);
67f9288
-    if (length($pkgstr) > 0)
67f9288
-    {
67f9288
-        $argstring .= "$pkgstr ";
67f9288
-    }
67f9288
-
67f9288
-    action("$globus_path/bin/globus-makefile-header.gpt1 $argstring");
67f9288
-
67f9288
-    exit;
67f9288
-}
67f9288
-
67f9288
 if ( grep(/^ANY$/, @pkgs) )
67f9288
 {
67f9288
     @pkgs = ("ANY");